Skip to main content
GET
/
v1
/
external
/
campaigns
/
{agent_id}
/
{campaign_id}
/
calls
cURL
curl --request GET \
  --url https://api.samora.ai/v1/external/campaigns/{agent_id}/{campaign_id}/calls \
  --header 'X-API-Key: <api-key>'
{
  "message": "<string>",
  "data": {
    "calls": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "to_number": "<string>",
        "status": "<string>",
        "duration": 123,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "started_at": "2023-11-07T05:31:56Z",
        "ended_at": "2023-11-07T05:31:56Z"
      }
    ],
    "page": 123,
    "page_size": 123,
    "total": 123
  }
}
Use this endpoint to inspect recipients/calls created for a campaign and track their current call statuses. The response is intentionally lightweight. Use the returned call id with the Get call details endpoint for the full call record.

Authorizations

X-API-Key
string
header
required

Your unique organization API key. Required on all requests.

Path Parameters

agent_id
string<uuid>
required

The UUID of the AI agent that owns the campaign.

campaign_id
string<uuid>
required

The UUID of the campaign.

Query Parameters

page
integer
default:1
Required range: x >= 1
page_size
integer
default:10
Required range: 1 <= x <= 100

Search by recipient phone number.

status
string

Filter by call status.

duration_min
integer

Minimum call duration in seconds.

Required range: x >= 0
duration_max
integer

Maximum call duration in seconds.

Required range: x >= 0
sort_by
enum<string>
default:created_at
Available options:
participant_id,
status,
created_at,
updated_at,
started_at,
ended_at,
duration
sort_dir
enum<string>
default:desc
Available options:
asc,
desc

Response

Campaign calls fetched successfully

message
string
required
data
object
required